<template>
    <div>
        <table>
            <tbody>
                <tr>
                    <th>아이디</th>
                    <td>
                        <label>
                            <input type="text" v-model="sample.userId"/>
                        </label>
                    </td>
                </tr>
                <tr>
                    <th>제목</th>
                    <td>
                        <label>
                            <input type="text" v-model.number="sample.title"/>
                        </label>
                    </td>
                </tr>
                <tr>
                    <th>내용</th>
                    <td>
                        <label>
                            <input type="text" v-model="sample.content"/>
                        </label>
                    </td>
                </tr>
            </tbody>
        </table>

        <button @click="add">저장</button>
        <router-link to="/samples/list">
            <button>목록</button>
        </router-link>
    </div>
</template> 

<script lang="ts">
    import {Vue}         from 'vue-property-decorator';
    import {Component}   from 'vue-property-decorator';
    import {Sample}      from '@/io/niceday/sample/model/Sample';
    import {SampleStore} from '@/io/niceday/sample/store/SampleStore';
    
    @Component
    export default class SampleAdd extends Vue {

        private store  = SampleStore.getInstance();
        private sample = new Sample.Request.Add;

        private add() : void {
            this.store.actions.add(this.sample); 
        }
    }
</script>